Page MenuHomePhabricator

Remove Ferret function aliases and overrides
ClosedPublic

Authored by epriestley on Apr 16 2020, 5:30 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 7:37 AM
Unknown Object (File)
Thu, Mar 28, 8:31 PM
Unknown Object (File)
Mar 10 2024, 9:24 AM
Unknown Object (File)
Feb 20 2024, 3:10 PM
Unknown Object (File)
Feb 10 2024, 11:54 PM
Unknown Object (File)
Jan 25 2024, 11:42 AM
Unknown Object (File)
Jan 25 2024, 2:21 AM
Unknown Object (File)
Jan 19 2024, 2:02 PM
Subscribers
None

Details

Summary

Ref T13511. Ferret functions currently define "aliases", and some applications override the default aliases.

This probably isn't really the right model, since it means the available function aliases in global search depend on the types of documents you're searching for. This isn't fundamentally unworkable but is kind of weird.

Regardless, these don't actually work. Searching for "description:x" is a syntax error.

Since they don't work, it's a good bet no one is relying on them. Just get rid of them until there's a clearer argument for the feature.

Test Plan

Grepped for "getFunctionMap", got no other hits. Ran some queries with the alias functions, got syntax errors.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 16 2020, 8:40 PM
This revision was automatically updated to reflect the committed changes.